<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Ejercicio 1</title>
	<script type="text/javascript">
		let Animal=function(){
			//propiedad no estatica
			this.peso=0;
			//propiedad estatica
			Animal.pelo="si";
			//metodo no estatico
			this.comer=function(){
				console.log('ÑAM');
			};
			//metodo estatico
			Animal.estatico=function(){
				console.log('esto es un elemento de la clase');
			};
		};

		let leon=new Animal();
		//Produce error ya que es un metodo de la clase y no del objeto leon.estatico();
		Animal.estatico();
		console.log(Animal.pelo);
		//Esto esta vacio porque es un elemento de la clase y no del objeto console.log(leon.pelo);
		
	</script>
</head>
<body>
	
</body>
</html>